<?php

namespace managerForIcomoon ; 

class Plugin {

	public function __construct(){
		if(is_admin()){
			// Translation
			add_action('plugins_loaded', array($this,'localization') );
			
			// Activation hook
			register_activation_hook(PLUGIN_FILE, array( $this,'activate'));

			// Link to settings in plugin liste
			add_filter('plugin_action_links_'.plugin_basename(PLUGIN_FILE), array($this, 'plugins_page_settings_link') );			
		}
	}

	public function activate() {
        if(get_option('managerforicomoon_options')) return;
        add_option('managerforicomoon_options', Options::$plugin_options_default);
    }

	public function localization() {
        load_plugin_textdomain('managerforicomoon', false, plugin_basename( PLUGIN_PATH ) . '/lang' ); 
    }

	public function plugins_page_settings_link( $links ) {
        $links[] = '<a href="'.admin_url( 'admin.php?page=managerforicomoon' ) .'">' . __('Settings', 'managerforicomoon') . '</a>';
        return $links;
    }

}