<?php

namespace managerForIcomoon ; 

class Scripts {
    private $icomoon_url ;
    private $icomoon_path ;

	public function __construct(){
        
        if(file_exists(Core::getIcomoonPath().'style.min.css') &&  Options::get('minify_css') == 'yes'){
            $this->icomoon_file = 'style.min.css';
        } else {
            $this->icomoon_file = 'style.css';
        }

        if(is_admin()){
            if( isset($_GET['page']) && strstr($_GET['page'], PLUGIN_SLUG)){
                //add_action( 'admin_enqueue_scripts', array($this,'load_admin_style') );
            }
            // Used in gutenberg and in manager for icomoon pages
            add_action( 'admin_enqueue_scripts', array($this,'load_admin_style') );
            add_action( 'admin_enqueue_scripts', array($this,'load_admin_js') );
        } else {
            add_action( 'wp_enqueue_scripts', array($this,'load_style') );
        }
	}

    public function load_admin_style() {
        wp_enqueue_style('managerforicomoon-css', PLUGIN_URL.'css/style_admin.min.css', array(), filemtime(PLUGIN_PATH.'css/style_admin.min.css'), false);
        wp_enqueue_style('managerforicomoon-icomoon', Core::getIcomoonUrl().$this->icomoon_file , array(), filemtime(Core::getIcomoonPath().$this->icomoon_file), false);
    } 
        
    public function load_admin_js(){
        wp_enqueue_script('managerforicomoon-js', PLUGIN_URL.'js/javascript_admin.js', array('jquery','wp-color-picker'), filemtime(PLUGIN_PATH.'/js/javascript_admin.js'));
        wp_localize_script('managerforicomoon-js', 'managerforicomoon', array(
            'ajaxurl'  => admin_url('admin-ajax.php'),
            'siteurl'  => site_url(),
            'shortcode' => Options::get('shortcode')
        ));
    }

	public function load_style() {
        wp_enqueue_style('managerforicomoon-icomoon', Core::getIcomoonUrl().$this->icomoon_file , array(), filemtime(Core::getIcomoonPath().$this->icomoon_file), false);
    }
}





