<?php

namespace managerForIcomoon ; 

class ZipPack {

	static public function upload(){
        try {
            if($_FILES['managerforicomoon-zip']['name'] == ''){
                throw new \Exception( __( "Please select a .zip file!", 'managerforicomoon') );
            }

            // File format
            $file_info = pathinfo(strtolower($_FILES['managerforicomoon-zip']['name'])) ;
            if($file_info['extension'] != "zip" or 
               ($_FILES['managerforicomoon-zip']['type'] != 'application/zip' && $_FILES['managerforicomoon-zip']['type'] != 'application/x-zip-compressed')){
                throw new \Exception( __('You can only load files in .zip format!','managerforicomoon') );
            }
            
            require_once(ABSPATH .'/wp-admin/includes/file.php');
            WP_Filesystem();           
            
            // Vidage du dossier existant
            self::rrmdir(ICO_UPLOADS_PATH);
            
            $unzipfile = unzip_file($_FILES['managerforicomoon-zip']['tmp_name'], ICO_UPLOADS_PATH);
            
            if( is_wp_error( $unzipfile ) ) {
                throw new \Exception($unzipfile->get_error_message());
            } 

            // Minify CSS
            self::minifyCSS();

            // Init the icomoon access
            Core::setIcomoonUrlAndPath();

            // Update options with selection.json params
            Options::updateFromSelectionJson();

            //Notice::setInfo( __( "The icomoon package has been uploaded successfully", 'managerforicomoon') ) ;
            Notice::setToastInfo( __( "The icomoon package has been uploaded successfully", 'managerforicomoon') ) ;
        } catch (\Exception $ex) {
            //Notice::setError($ex->getMessage());
            Notice::setToastError($ex->getMessage()); 
        }
    }



    static public function minifyCSS(){
        try {
            $style = file_get_contents(ICO_UPLOADS_PATH.'style.css');
        
            $minified = str_replace("\n", "", $style);
            $minified = str_replace("  ", " ", $minified);
            $minified = str_replace("  ", " ", $minified);
            $minified = str_replace(" {", "{", $minified);
            $minified = str_replace("{ ", "{", $minified);
            $minified = str_replace(" }", "}", $minified);
            $minified = str_replace("} ", "}", $minified);
            $minified = str_replace(", ", ",", $minified);
            $minified = str_replace("; ", ";", $minified);
            $minified = str_replace(": ", ":", $minified);
    
            $styleMini = fopen(ICO_UPLOADS_PATH.'style.min.css', 'w');
            fwrite($styleMini, $minified);
            fclose($styleMini);

            Notice::setToastInfo(__( "The CSS file has been minified successfully.", 'managerforicomoon'));
        } catch (\Exception $ex) {
            Notice::setToastError($ex->getMessage()); 
        }
        
    }
 
	/**
     * Restauration des icones par défaut
     */
    static public function restoreDefault(){
        try {
            if(!isset($_POST['restore-confirm'])){
                throw new \Exception( __( "Thanks to confirm that you have understood the consequences of this operation.", 'managerforicomoon') );
            }

            // Vidage du dossier existant
            self::rrmdir(ICO_UPLOADS_PATH);
            
            // Init the icomoon access
            Core::setIcomoonUrlAndPath();

            // Update options with selection.json params
            Options::updateFromSelectionJson();

            //Notice::setInfo( __( "Default icons have been restored successfully.", 'managerforicomoon') ) ;
            Notice::setToastInfo( __( "Default icons have been restored successfully.", 'managerforicomoon') ) ;
        } catch (\Exception $ex) {
            //Notice::setError($ex->getMessage());
            Notice::setToastError($ex->getMessage()); 
        }
    }

	/**
     * Suppression recursive des fichiers d'un dossier
     * 
     * @param array $dir 
     */
    static private function rrmdir($dir) {
        if(is_dir($dir)) {
          $objects = scandir($dir);
          foreach ($objects as $object) {
            if ($object != "." && $object != "..") {
              if (filetype($dir."/".$object) == "dir") 
                    self::rrmdir($dir."/".$object); 
              else unlink   ($dir."/".$object);
            }
          }
          reset($objects);
          rmdir($dir);
        }
    }
}