jQuery( document ).ready(function() {
	m4i_checkbox_restore();
	jQuery('#restore-confirm').click(function(){
		m4i_checkbox_restore();
	});

	jQuery('.managerforicomoon-icon-copy').click(function(){
		let icon = jQuery(this).data('icon');
		let message = jQuery(this).data('message');
		let shortcode = jQuery("#"+icon+" code").html();
		m4i_copy_to_clipboard(shortcode);
		m4i_toast(message, true, '4000');
	});

	jQuery('.managerforicomoon-toast').fadeIn( function(){
		if(jQuery(this).hasClass('managerforicomoon-toast-autohide')){
			setTimeout(function() { 
				jQuery('.managerforicomoon-toast-autohide').fadeOut().remove();
			}, 3500);
		}
	});
});

function m4i_checkbox_restore(){
	if( jQuery('#restore-confirm').is(':checked') ){
		jQuery('#managerforicomoon-restore').prop("disabled",false);
	} else {
		jQuery('#managerforicomoon-restore').prop("disabled",true);
	}
}

function m4i_close_modal(){
	jQuery( '#managerforicomoon-modal' ).fadeOut();
}

function m4i_close_toast(toast){
	jQuery( '#'+toast ).fadeOut().remove();
}

function m4i_copy_to_clipboard(txt){
	var cb = document.getElementById("clipboard");
	cb.value = txt;
	cb.style.display='block';
	cb.select();
	document.execCommand('copy');
	cb.style.display='none';
}

function m4i_shortcode_generate(shortcode, icon_name){
	var custom_class = custom_color = custom_size = custom_rotate = custom_css = '';

	var custom_class_val = jQuery('#m4i_custom_class').val();
	var custom_color_val = jQuery('#m4i_custom_color').val();
	var custom_size_val = jQuery('#m4i_custom_size').val();
	var custom_rotate_val = jQuery('#m4i_custom_rotate').val();
	var custom_css_val = jQuery('#m4i_custom_css').val();

	if(custom_class_val.length > 0){
		var custom_class = ' class="'+custom_class_val+'"';
	}
	if(custom_color_val.length > 0){
		var custom_color = ' color="'+custom_color_val+'"';
	}
	if(custom_size_val.length > 0){
		var custom_size = ' size="'+custom_size_val+'"';
	}
	if(custom_rotate_val.length > 0){
		var custom_rotate = ' rotate="'+custom_rotate_val+'"';
	}
	if(custom_css_val.length > 0){
		var custom_css = ' customcss="'+custom_css_val+'"';
	}

	var txt = '['+shortcode+' name="'+icon_name+'"'+custom_class+custom_color+custom_size+custom_rotate+custom_css+']';
	jQuery("#managerforicomoon-shortcode-input").html(txt);

	m4i_copy_to_clipboard(txt);

	let message = jQuery("#clipboard").data('message');
	m4i_toast(message, true, '4000');
}

function m4i_random_id(length) {
	var result           = '';
	var characters       = 'abcdefghijklmnopqrstuvwxyz0123456789';
	var charactersLength = characters.length;
	for ( var i = 0; i < length; i++ ) {
	   result += characters.charAt(Math.floor(Math.random() * charactersLength));
	}
	return result;
}

function m4i_toast(txt, replace, autoHide){
	let id = m4i_random_id(10);
	var cssClass = 'managerforicomoon-toast managerforicomoon-toast-info';
	if(autoHide) {
		cssClass += ' managerforicomoon-toast-autohide';
	}
	let toast = '<div class="'+cssClass+'" id="toast-'+id+'" style="display:none" data-duration="50000">'+
				txt+
				'<span class="managerforicomoon-toast-close dashicons dashicons-no-alt" onclick="m4i_close_toast(\'toast-'+id+'\');"></span>'
				'</div>';
	if(replace === true) {
		jQuery('.managerforicomoon-toast-container').html(toast);
	} else {
		jQuery('.managerforicomoon-toast-container').append(toast);
	}
	jQuery('#toast-'+id).fadeIn();
	if(autoHide) {
		setTimeout(function() { 
			jQuery('#toast-'+id).fadeOut().remove();
		}, autoHide);
	}
}